Bug 1183660 (CVE-2014-6549) - CVE-2014-6549 OpenJDK: incorrect class loader permission check in ClassLoader getParent() (Libraries, 8055314)
Summary: CVE-2014-6549 OpenJDK: incorrect class loader permission check in ClassLoader...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2014-6549
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
urgent
urgent
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 1179762
TreeView+ depends on / blocked
 
Reported: 2015-01-19 12:21 UTC by Tomas Hoger
Modified: 2019-09-29 13:27 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
An improper permission check issue was discovered in the Libraries component in OpenJDK. An untrusted Java application or applet could use these flaws to bypass Java sandbox restrictions.
Clone Of:
Environment:
Last Closed: 2015-01-26 07:42:13 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:0069 normal SHIPPED_LIVE Important: java-1.8.0-openjdk security update 2015-01-22 02:38:44 UTC
Red Hat Product Errata RHSA-2015:0080 normal SHIPPED_LIVE Critical: java-1.8.0-oracle security update 2017-12-15 15:34:38 UTC
Red Hat Product Errata RHSA-2015:0133 normal SHIPPED_LIVE Critical: java-1.7.1-ibm security update 2015-02-06 00:35:28 UTC
Red Hat Product Errata RHSA-2015:0134 normal SHIPPED_LIVE Critical: java-1.7.0-ibm security update 2015-02-06 00:34:56 UTC

Description Tomas Hoger 2015-01-19 12:21:11 UTC
It was discovered that the java.lang.ClassLoader's getParent() method performed an incorrect class loader permission check.  An untrusted Java application or applet could use this flaw to bypass Java sandbox restrictions.

Comment 1 Tomas Hoger 2015-01-20 22:10:50 UTC
Public now via Oracle Critical Patch Update - January 2015.  Fixed in Oracle Java SE 8u31.

External References:

http://www.oracle.com/technetwork/topics/security/cpujan2015-1972971.html#AppendixJAVA

Comment 2 errata-xmlrpc 2015-01-21 22:45:43 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2015:0069 https://rhn.redhat.com/errata/RHSA-2015-0069.html

Comment 3 Tomas Hoger 2015-01-22 12:05:37 UTC
Upstream OpenJDK commit:

http://hg.openjdk.java.net/jdk8u/jdk8u/jdk/rev/fc4646e5a11f

Comment 4 errata-xmlrpc 2015-01-22 21:25:06 UTC
This issue has been addressed in the following products:

  Oracle Java for Red Hat Enterprise Linux 6

Via RHSA-2015:0080 https://rhn.redhat.com/errata/RHSA-2015-0080.html

Comment 5 errata-xmlrpc 2015-02-05 19:36:58 UTC
This issue has been addressed in the following products:

  Supplementary for Red Hat Enterprise Linux 5

Via RHSA-2015:0134 https://rhn.redhat.com/errata/RHSA-2015-0134.html

Comment 6 errata-xmlrpc 2015-02-05 19:37:48 UTC
This issue has been addressed in the following products:

  Supplementary for Red Hat Enterprise Linux 7
  Supplementary for Red Hat Enterprise Linux 6

Via RHSA-2015:0133 https://rhn.redhat.com/errata/RHSA-2015-0133.html


Note You need to log in before you can comment on or make changes to this bug.